import { interfaces } from "inversify";
import { API } from "lambda-api";
import { Controller } from "./Controller";
import { MiddlewareRegistry } from './MiddlewareRegistry';
import { ErrorInterceptor } from "./error/ErrorInterceptor";
import { EndpointInfo } from "../model/reflection/EndpointInfo";
export declare class Endpoint {
    private readonly endpointInfo;
    private readonly controllerFactory;
    private readonly errorInteceptorFactory;
    private readonly middlewareRegistry;
    constructor(endpointInfo: EndpointInfo, controllerFactory: (constructor: Function) => Controller, errorInteceptorFactory: (type: interfaces.ServiceIdentifier<ErrorInterceptor>) => ErrorInterceptor, middlewareRegistry: MiddlewareRegistry);
    register(api: API): void;
    private invoke;
    private authenticateAndAuthorizeRequest;
    private authenticateRequest;
    private sendStatusCodeResponse;
    private authorizeRequest;
    private responseSent;
    private buildControllerInstance;
    private setResponseContentType;
    private mapHttpMethodToCall;
    private invokeControllerMethod;
    private buildEndpointParameters;
    private getMatchingErrorInterceptor;
}
