"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * IAuthFilter implementation that supports the HTTP Basic authentication scheme.
 */
class BasicAuthFilter {
    /**
     * If the authentication scheme is 'Basic', returns a BasicAuth instance containing
     * the username and password, otherwise returns undefined.
     *
     * @param request Request context to use.
     */
    async extractAuthData(request) {
        if (request.auth.type === "Basic") {
            return {
                username: request.auth.username,
                password: request.auth.password
            };
        }
    }
}
exports.BasicAuthFilter = BasicAuthFilter;
//# sourceMappingURL=BasicAuthFilter.js.map